Skip to main content
GET
/
{projectId}
/
token-info
Verify token
curl --request GET \
  --url https://api.testdino.com/api/public/v1/{projectId}/token-info \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "token": {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "scopes": [
        "<string>"
      ],
      "expiresAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "lastUsed": "2023-11-07T05:31:56Z",
      "usageCount": 123
    },
    "project": {
      "id": "<string>",
      "name": "<string>"
    },
    "organization": {
      "id": "<string>",
      "name": "<string>"
    },
    "rateLimit": {
      "limit": 123,
      "window": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Project PAT (tdp_) token with public-api scope

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

Response

Token metadata

success
boolean
data
object